--- configure.in.orig	Tue May 20 19:18:04 2003
+++ configure.in	Tue May 20 19:32:48 2003
@@ -417,19 +417,19 @@
 
 AC_PATH_PROG(PATH_TO_PS,ps)
 dnl  STAT UCOMM              VSZ   RSS USER       UID  PPID COMMAND
-if ps -weo 'stat comm vsz rss user uid ppid args' 2>/dev/null | egrep -i ["^ *S[TAUES]* +[UCOMDNA]+ +[VSIZE]+ +R[S]+ +U[SER]+ +U[ID]+ +P[PID]+ +[RGSCOMDNA]+"] >/dev/null
+if ps -axweo 'stat comm vsz rss user uid ppid args' 2>/dev/null | egrep -i ["^ *S[TAUES]* +[UCOMDNA]+ +[VSIZE]+ +R[S]+ +U[SER]+ +U[ID]+ +P[PID]+ +[RGSCOMDNA]+"] >/dev/null
 then
 	AC_DEFINE(USE_PS_VARS,1,[Define if 'ps' will be parsed with sscanf])
 	AC_DEFINE_UNQUOTED(PS_VARLIST,[procstat,&procuid,&procppid,procprog,&pos],[Variable list for sscanf of 'ps' output])
-	AC_DEFINE_UNQUOTED(PS_RAW_COMMAND,"$PATH_TO_PS -weo 'stat user ppid args'",[Verbatim command to execute for ps in check_netsaint])
+	AC_DEFINE_UNQUOTED(PS_RAW_COMMAND,"$PATH_TO_PS -axweo 'stat user ppid args'",[Verbatim command to execute for ps in check_netsaint])
 	EXTRAS="$EXTRAS check_nagios"
-	AC_DEFINE_UNQUOTED(PS_COMMAND,"$PATH_TO_PS -weo 'stat uid ppid comm args'",[Verbatim command to execute for ps in check_procs])
+	AC_DEFINE_UNQUOTED(PS_COMMAND,"$PATH_TO_PS -axweo 'stat uid ppid comm args'",[Verbatim command to execute for ps in check_procs])
 	AC_DEFINE_UNQUOTED(PS_FORMAT,"%s %d %d %s %n",[Format string for scanning ps output in check_procs])
-	AC_DEFINE_UNQUOTED(VSZ_COMMAND,"$PATH_TO_PS -weo 'vsz comm'",[Verbatim command to execute for ps in check_vsz])
+	AC_DEFINE_UNQUOTED(VSZ_COMMAND,"$PATH_TO_PS -axweo 'vsz comm'",[Verbatim command to execute for ps in check_vsz])
 	AC_DEFINE_UNQUOTED(VSZ_FORMAT,"%d %s",[Format string for scanning ps output in check_vsz])
-	AC_DEFINE_UNQUOTED(RSS_COMMAND,"$PATH_TO_PS -weo 'rss comm'",[Verbatim command to execute for ps in check_rss])
+	AC_DEFINE_UNQUOTED(RSS_COMMAND,"$PATH_TO_PS -axweo 'rss comm'",[Verbatim command to execute for ps in check_rss])
 	AC_DEFINE_UNQUOTED(RSS_FORMAT,"%d %s",[Format string for scanning ps output in check_rss])
-  echo "      ps syntax... $PATH_TO_PS -weo 'stat comm vsz rss user ppid args'"
+  echo "      ps syntax... $PATH_TO_PS -axweo 'stat comm vsz rss user ppid args'"
 dnl FreeBSD
 elif ps waxco 'state command vsz rss uid user ppid' 2>/dev/null | egrep -i ["^STAT +COMMAND +VSZ +RSS +UID +USER +PPID"] >/dev/null
 then
